## nxmx 0.0.3

=== requirements.txt ===
h5py==3.9.0
numpy==1.25.0
pint==0.22
python-dateutil==2.8.2
scipy==1.11.1

=== debian/changelog ===
nxmx (0.0.3-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jan 2024 13:44:44 +0100

nxmx (0.0.3-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Wed, 10 Jan 2024 23:47:57 +0100

=== debian/control ===
Source: nxmx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all,
               python3-dateutil,
               python3-h5py (>= 3.9.0),
               python3-numpy,
               python3-pint,
               python3-scipy,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/nxmx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nxmx

Package: python3-nxmx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Read HDF5 data in the NXmx subformat of the NeXus format
 This package provides a neat and tidy Python interface for reading
 data from HDF5 files that are structured according to the NXmx
 application definition of the NeXus standard (https://www.nexusformat.org/).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nxmx
%:
	dh $@ --with python3 --buildsystem=pybuild

## nxmx 0.0.4

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt --python 3.9
appdirs==1.4.4
    # via pint
flexcache==0.3
    # via pint
flexparser==0.3.1
    # via pint
h5py==3.12.1
    # via nxmx (pyproject.toml)
numpy==1.26.4
    # via
    #   nxmx (pyproject.toml)
    #   h5py
    #   scipy
pint==0.24.3
    # via nxmx (pyproject.toml)
python-dateutil==2.9.0.post0
    # via nxmx (pyproject.toml)
scipy==1.13.1
    # via nxmx (pyproject.toml)
six==1.16.0
    # via python-dateutil
typing-extensions==4.12.2
    # via
    #   flexcache
    #   flexparser
    #   pint

=== debian/changelog ===
nxmx (0.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0.4
  * Build with Numpy 2.x (Closes: #1095361)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 20:39:18 +0100

nxmx (0.0.3-3) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * d/control: build-dep on pytest to enable running upstream's tests.
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  Update maintainer email for merge of DPMT and PAPT.
  * d/upstream/metadata: list upstream's code repo and issue tracker

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 11:32:09 +0200

=== debian/control ===
Source: nxmx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-setuptools-scm,
               python3-all,
               python3-dateutil,
               python3-h5py (>= 3.9.0),
               python3-numpy,
               python3-pint,
               python3-scipy,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/dials/nxmx
Vcs-Browser: https://salsa.debian.org/python-team/packages/nxmx
Vcs-Git: https://salsa.debian.org/python-team/packages/nxmx.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-nxmx
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Read HDF5 data in the NXmx subformat of the NeXus format
 This package provides a neat and tidy Python interface for reading
 data from HDF5 files that are structured according to the NXmx
 application definition of the NeXus standard (https://www.nexusformat.org/).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nxmx
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/nxmx/watch
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/dials/nxmx/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
